!2014/05/28
!2014/05/28

module gridset

  implicit none
  private

  public :: GridsetSet
  public :: GridsetPrint


  integer, save, public:: imax = 1
                              ! 経度格子点数.
                              ! Number of grid points in longitude
  integer, save, public:: jmax = 1
                              ! 緯度格子点数.
                              ! Number of grid points in latitude
  integer, save, public:: kmax = 1
                              ! 鉛直層数.
                              ! Number of vertical level

contains

  subroutine GridsetSet(InImax, InJmax, InKmax)
    integer, intent(in) :: InImax
    integer, intent(in) :: InJmax
    integer, intent(in) :: InKmax

    imax = InImax
    jmax = InJmax
    kmax = InKmax

  end subroutine GridsetSet

  subroutine GridsetPrint
    print *, 'imax:', imax
    print *, 'jmax:', jmax
    print *, 'kmax:', kmax
  end subroutine GridsetPrint

end module gridset
